//______________________________________________________________________________

//	Java Test program	- Jean-Paul Le Fvre
//______________________________________________________________________________

package org.ariane.test;

import org.ariane.tools.*;
import java.net.URL;

/**
 * Finds out how URL works.
 * <P>
 * The set is sorted and dumped.
 * @version $Id: TryUrl.java,v 3.0 2000/08/23 13:15:34 lefevre Exp $
 * @author Jean-Paul Le Fvre
 */
class TryUrl {

public static void main (String args[])
  {
      if(args.length < 1) {
	  printUsage();
	  return;
      }

      ToolBox.warn("Testing URL " + args[0]);
      try {
	  URL url = new URL(args[0]);
	  if(args.length > 1) {
	      url = new URL(url, args[1]);
	  }
	  ToolBox.warn("URL : " + url.toExternalForm());
      }
      catch(Exception ex) {
	  ToolBox.warn("Can't handle " + args[0], ex);
      }
  }
//______________________________________________________________________________
    /**
     * Prints how to use the program.
     */
final static private void printUsage()
  {
      System.out.println(
      "Usage   : java org.ariane.test.TryUrl url");
  }
}
//______________________________________________________________________________


